Package org.eclipse.graphiti.mm.algorithms.styles.impl

## Class PointImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.algorithms.styles.impl.PointImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Point`

    public class PointImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements Point

An implementation of the model object 'Point'.

The following features are implemented:

- `X`
- `Y`
- `Before`
- `After`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected int` `after` The cached value of the '`After`' attribute.
`protected static int` `AFTER_EDEFAULT` The default value of the '`After`' attribute.
`protected int` `before` The cached value of the '`Before`' attribute.
`protected static int` `BEFORE_EDEFAULT` The default value of the '`Before`' attribute.
`protected int` `x` The cached value of the '`X`' attribute.
`protected static int` `X_EDEFAULT` The default value of the '`X`' attribute.
`protected int` `y` The cached value of the '`Y`' attribute.
`protected static int` `Y_EDEFAULT` The default value of the '`Y`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `PointImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`int` `getAfter()`
`int` `getBefore()`
`int` `getX()`
`int` `getY()`
`void` `setAfter​(int newAfter)`
`void` `setBefore​(int newBefore)`
`void` `setX​(int newX)`
`void` `setY​(int newY)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### X_EDEFAULT

    protected static final int X_EDEFAULT

The default value of the '`X`' attribute.

See Also:
  `getX()`, Constant Field Values

#### x

    protected int x

The cached value of the '`X`' attribute.

See Also:
  `getX()`

#### Y_EDEFAULT

    protected static final int Y_EDEFAULT

The default value of the '`Y`' attribute.

See Also:
  `getY()`, Constant Field Values

#### y

    protected int y

The cached value of the '`Y`' attribute.

See Also:
  `getY()`

#### BEFORE_EDEFAULT

    protected static final int BEFORE_EDEFAULT

The default value of the '`Before`' attribute.

See Also:
  `getBefore()`, Constant Field Values

#### before

    protected int before

The cached value of the '`Before`' attribute.

See Also:
  `getBefore()`

#### AFTER_EDEFAULT

    protected static final int AFTER_EDEFAULT

The default value of the '`After`' attribute.

See Also:
  `getAfter()`, Constant Field Values

#### after

    protected int after

The cached value of the '`After`' attribute.

See Also:
  `getAfter()`

### Constructor Detail

#### PointImpl

    protected PointImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getX

    public int getX()

Specified by:
  `getX` in interface `Point`
Returns:
  the value of the 'X' attribute.
See Also:
  `Point.setX(int)`, `StylesPackage.getPoint_X()`

#### setX

    public void setX​(int newX)

Specified by:
  `setX` in interface `Point`
Parameters:
  `newX` - the new value of the 'X' attribute.
See Also:
  `Point.getX()`

#### getY

    public int getY()

Specified by:
  `getY` in interface `Point`
Returns:
  the value of the 'Y' attribute.
See Also:
  `Point.setY(int)`, `StylesPackage.getPoint_Y()`

#### setY

    public void setY​(int newY)

Specified by:
  `setY` in interface `Point`
Parameters:
  `newY` - the new value of the 'Y' attribute.
See Also:
  `Point.getY()`

#### getBefore

    public int getBefore()

Specified by:
  `getBefore` in interface `Point`
Returns:
  the value of the 'Before' attribute.
See Also:
  `Point.setBefore(int)`, `StylesPackage.getPoint_Before()`

#### setBefore

    public void setBefore​(int newBefore)

Specified by:
  `setBefore` in interface `Point`
Parameters:
  `newBefore` - the new value of the 'Before' attribute.
See Also:
  `Point.getBefore()`

#### getAfter

    public int getAfter()

Specified by:
  `getAfter` in interface `Point`
Returns:
  the value of the 'After' attribute.
See Also:
  `Point.setAfter(int)`, `StylesPackage.getPoint_After()`

#### setAfter

    public void setAfter​(int newAfter)

Specified by:
  `setAfter` in interface `Point`
Parameters:
  `newAfter` - the new value of the 'After' attribute.
See Also:
  `Point.getAfter()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`